using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class EnemyShoot : MonoBehaviour
{
    public GameObject redblast;
    private int time = 0;
	
	
	// Update is called once per frame
	void Update ()
    {
        time += 1; //pucaj na svakih 100 frejmova
        if (time > 100) //ako je preslo 100 vrati time na 0
        {
            time = 0;
            Instantiate(redblast, transform.position, Quaternion.identity);
            // ovo je za kreiranje vise objekata
            // koji prosledjujemo kao 1 argument sa odredjene pozicije sto je drugi argument 
            //dok treci argument sluzi da ne dodje do rotacije vec da objekat prati pravac roditelja odnosno neprijatelja
        }
    }
}
